# QAbstractItemModel Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QAbstractItemModel(QObject parent)

### Constructor Properties

- prototype: The QAbstractItemModel prototype object

### Prototype Object Properties

The QAbstractItemModel prototype object inherits properties from the QObject prototype object and also has the following properties.

- QModelIndex buddy(QModelIndex index)
- bool canFetchMore(QModelIndex parent)
- int columnCount(QModelIndex parent)
- Object data(QModelIndex index, int role)
- bool dropMimeData(QMimeData data, DropAction action, int row, int column, QModelIndex parent)
- void fetchMore(QModelIndex parent)
- ItemFlags flags(QModelIndex index)
- bool hasChildren(QModelIndex parent)
- bool hasIndex(int row, int column, QModelIndex parent)
- Object headerData(int section, Orientation orientation, int role)
- QModelIndex index(int row, int column, QModelIndex parent)
- bool insertColumn(int column, QModelIndex parent)
- bool insertColumns(int column, int count, QModelIndex parent)
- bool insertRow(int row, QModelIndex parent)
- bool insertRows(int row, int count, QModelIndex parent)
- SortedMap itemData(QModelIndex index)
- List match(QModelIndex start, int role, Object value, int hits, MatchFlags flags)
- QMimeData mimeData(List indexes)
- List mimeTypes()
- QModelIndex parent(QModelIndex child)
- bool removeColumn(int column, QModelIndex parent)
- bool removeColumns(int column, int count, QModelIndex parent)
- bool removeRow(int row, QModelIndex parent)
- bool removeRows(int row, int count, QModelIndex parent)
- HashMap roleNames()
- int rowCount(QModelIndex parent)
- bool setData(QModelIndex index, Object value, int role)
- bool setHeaderData(int section, Orientation orientation, Object value, int role)
- bool setItemData(QModelIndex index, SortedMap roles)
- void setSupportedDragActions(DropActions arg__1)
- QModelIndex sibling(int row, int column, QModelIndex idx)
- void sort(int column, SortOrder order)
- QSize span(QModelIndex index)
- DropActions supportedDragActions()
- DropActions supportedDropActions()

### Instance Properties

QAbstractItemModel objects have no special properties beyond those inherited from the QAbstractItemModel prototype object.